System.Drawing [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 07 D1 FA 57 C4 AE D9 F0 A3 2E 84 AA 0F AE FD 0D E9 E8 FD 6A EC 8F 87 FB 03 76 6C 83 4C 99 92 1E B2 3B E7 9A D9 D5 DC C1 DD 9A D2 36 13 21 02 90 0B 72 3C F9 80 95 7F C4 E1 77 10 8F C6 07 77 4F 29 E8 32 0E 92 EA 05 EC E4 E8 21 C0 A5 EF E8 F1 64 5C 4C 0C 93 C1 AB 99 28 5D 62 2C AA 65 2C 1D FA D6 3D 74 5D 6F 2D E5 F1 7E 5E AF 0F C4 96 3D 26 1C 8A 12 43 65 18 20 6D C0 93 34 4D 5A D2 93] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ValueType System.Runtime.InteropServices.ComVisible(true)

To convert a to a , use or .

Represents an ordered pair of floating-point x- and y-coordinates that defines a point in a two-dimensional plane.

- Constructor
  To be added

  Initializes a new instance of the class with the specified coordinates.

  The horizontal position of the point.
  The vertical position of the point.
  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Drawing.PointF `` ``

  The method adds the of the specified size to the x-coordinate of the and the to the y-coordinate of the .

  Translates a given by the specified .

  The translated .

  The to translate. The that specifies the numbers to add to the coordinates of .
- Method
  2.0.0.0
  System.Drawing.PointF `` ``

  The method adds the of the specified size to the x-coordinate of the and the to the y-coordinate of the .

  Translates a given by a specified .

  The translated .

  The to translate. The that specifies the numbers to add to the coordinates of .
- Field
  System.Drawing.PointF To be added

  Represents a new instance of the class with member data left uninitialized.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` To be added

  Specifies whether this contains the same coordinates as the specified .

  This method returns true if is a and has the same coordinates as this .

  The to test. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 To be added

  Returns a hash code for this structure.

  An integer value that specifies a hash value for this structure.

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a value indicating whether this is empty.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Browsable(false)
- Method
  System.Drawing.PointF `` `` To be added.

  Translates a by a given .

  Returns the translated .

  The to translate. A that specifies the pair of numbers to add to the coordinates of . 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Drawing.PointF `` ``

  The operator adds the of the specified size to the x-coordinate of the and the to the y-coordinate of the .

  Translates the by the specified .

  The translated .

  The to translate. The that specifies the numbers to add to the x- and y-coordinates of the .
- Method
  System.Boolean `` `` To be added.

  Compares two structures. The result specifies whether the values of the and properties of the two structures are equal.

  true if the and values of the left and right structures are equal; otherwise, false.

  A to compare. A to compare. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` To be added.

  Determines whether the coordinates of the specified points are not equal.

  true to indicate the and values of and are not equal; otherwise, false.

  A to compare. A to compare. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.PointF `` `` To be added.

  Translates a by the negative of a given .

  The translated .

  The to translate. The that specifies the numbers to subtract from the coordinates of . 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Drawing.PointF `` ``

  The operator subtracts the of the specified size from the x-coordinate of the and the from the y-coordinate of the .

  Translates a by the negative of a specified .

  The translated .

  The to translate. The that specifies the numbers to subtract from the coordinates of .
- Method
  2.0.0.0
  System.Drawing.PointF `` ``

  The method subtracts the of the specified size from the x-coordinate of the and the from the y-coordinate of the .

  Translates a by the negative of a specified size.

  The translated .

  The to translate. The that specifies the numbers to subtract from the coordinates of .
- Method
  2.0.0.0
  System.Drawing.PointF `` ``

  The method subtracts the of the specified size from the x-coordinate of the and the from the y-coordinate of the .

  Translates a by the negative of a specified size.

  The translated .

  The to translate. The that specifies the numbers to subtract from the coordinates of .
- Method
  System.String To be added

  Converts this to a human readable string.

  A string that represents this .

  1.0.5000.0
  2.0.0.0
- Property
  System.Single To be added: an object of type 'float' To be added

  Gets or sets the x-coordinate of this .

  1.0.5000.0
  2.0.0.0
- Property
  System.Single To be added: an object of type 'float' To be added

  Gets or sets the y-coordinate of this .

  1.0.5000.0
  2.0.0.0